﻿
Partial Class IssueWithDateTimePicker
    Inherits System.Web.UI.Page


    Protected Overrides Sub OnLoad(e As System.EventArgs)
        MyBase.OnLoad(e)
        For Each control As Control In Page.Form.Controls
            Dim ctlControl As WebControl
            If TypeOf control Is WebControl Then
                ctlControl = TryCast(control, WebControl)
            Else
                Continue For
            End If
            If TypeOf ctlControl Is CheckBox Or _
               TypeOf ctlControl Is RadioButton Or _
               TypeOf ctlControl Is Button Then
                ctlControl.Attributes.Add("OnClick", "SetUnsavedDataFlag('1');")
            ElseIf TypeOf ctlControl Is Telerik.Web.UI.RadDateTimePicker Then
                Dim datePicker As Telerik.Web.UI.RadDateTimePicker
                datePicker = CType(ctlControl, Telerik.Web.UI.RadDateTimePicker)
                datePicker.ClientEvents.OnDateSelected = "SetUnsavedDataFlag"
            Else
                ctlControl.Attributes.Add("OnChange", "SetUnsavedDataFlag('1');")
                ctlControl.Attributes.Add("OnFocus", "SetFocusedField(this);")
            End If
        Next
    End Sub

End Class
